<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Types</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('db/d1b/group__radio-types.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">Types<div class="ingroups"><a class="el" href="../../de/d8b/group__platform.html">Platform Abstraction</a> &raquo; <a class="el" href="../../d0/d5b/group__radio.html">Radio</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This module includes the platform abstraction for a radio packet.  
<a href="#details">More...</a></p>
<div class="dynheader">
Collaboration diagram for Types:</div>
<div class="dyncontent">
<center><table><tr><td><img src="../../db/d1b/group__radio-types.png" border="0" alt="" usemap="#db_2d1b_2group____radio-types"/>
<map name="db_2d1b_2group____radio-types" id="db_2d1b_2group____radio-types">
<area shape="rect" id="node1" href="../../d0/d5b/group__radio.html" title="This module includes the platform abstraction for radio communication. " alt="" coords="5,5,62,31"/>
</map>
</td></tr></table></center>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/ddc/structRadioPacket.html">RadioPacket</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This structure represents an IEEE 802.15.4 radio frame.  <a href="../../db/ddc/structRadioPacket.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:gaaba4bf6660fc977d5f260bbc4759db49"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gaaba4bf6660fc977d5f260bbc4759db49"></a>
typedef enum <a class="el" href="../../db/d1b/group__radio-types.html#ga64d6a0cf11075e2ab0079c9d86c34b55">otRadioCaps</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d1b/group__radio-types.html#gaaba4bf6660fc977d5f260bbc4759db49">otRadioCaps</a></td></tr>
<tr class="memdesc:gaaba4bf6660fc977d5f260bbc4759db49"><td class="mdescLeft">&#160;</td><td class="mdescRight">This enum represents radio capabilities. <br /></td></tr>
<tr class="separator:gaaba4bf6660fc977d5f260bbc4759db49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4ec1493a92b716164820cfc6f63d0727"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga4ec1493a92b716164820cfc6f63d0727"></a>
typedef struct <a class="el" href="../../db/ddc/structRadioPacket.html">RadioPacket</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d1b/group__radio-types.html#ga4ec1493a92b716164820cfc6f63d0727">RadioPacket</a></td></tr>
<tr class="memdesc:ga4ec1493a92b716164820cfc6f63d0727"><td class="mdescLeft">&#160;</td><td class="mdescRight">This structure represents an IEEE 802.15.4 radio frame. <br /></td></tr>
<tr class="separator:ga4ec1493a92b716164820cfc6f63d0727"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae4fc9607be8fe78429890574e85da2e1"><td class="memItemLeft" align="right" valign="top">typedef enum <a class="el" href="../../db/d1b/group__radio-types.html#gae1ff73e01c49ff0cb218e4efd1b01fbc">PhyState</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d1b/group__radio-types.html#gae4fc9607be8fe78429890574e85da2e1">PhyState</a></td></tr>
<tr class="memdesc:gae4fc9607be8fe78429890574e85da2e1"><td class="mdescLeft">&#160;</td><td class="mdescRight">This structure represents the state of a radio.  <a href="#gae4fc9607be8fe78429890574e85da2e1">More...</a><br /></td></tr>
<tr class="separator:gae4fc9607be8fe78429890574e85da2e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:ga4d29ca5db06e2ae647d1ec22548a9d2a"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom">{ <br />
&#160;&#160;<a class="el" href="../../db/d1b/group__radio-types.html#gga4d29ca5db06e2ae647d1ec22548a9d2aa7814f5ab606236acae270c705e38304c">kMaxPHYPacketSize</a> = 127, 
<br />
&#160;&#160;<a class="el" href="../../db/d1b/group__radio-types.html#gga4d29ca5db06e2ae647d1ec22548a9d2aaac68aa0095ba8fbe62f4399af20f356a">kPhyMinChannel</a> = 11, 
<br />
&#160;&#160;<a class="el" href="../../db/d1b/group__radio-types.html#gga4d29ca5db06e2ae647d1ec22548a9d2aa689ec26cf2ac6ae2817bf368fe7df96f">kPhyMaxChannel</a> = 26, 
<br />
&#160;&#160;<a class="el" href="../../db/d1b/group__radio-types.html#gga4d29ca5db06e2ae647d1ec22548a9d2aa5a1f12f32a9eae0d14e32a1862d9ac90">kPhySupportedChannelMask</a> = 0xffff &lt;&lt; kPhyMinChannel, 
<br />
&#160;&#160;<a class="el" href="../../db/d1b/group__radio-types.html#gga4d29ca5db06e2ae647d1ec22548a9d2aae6f1637d0c6947bb3a2b034d31fc9051">kPhySymbolsPerOctet</a> = 2, 
<br />
&#160;&#160;<a class="el" href="../../db/d1b/group__radio-types.html#gga4d29ca5db06e2ae647d1ec22548a9d2aafe33924e8801f0b816fb9be77240f2e1">kPhyBitRate</a> = 250000, 
<br />
&#160;&#160;<b>kPhyBitsPerOctet</b> = 8, 
<br />
&#160;&#160;<b>kPhyUsPerSymbol</b> = ((kPhyBitsPerOctet / kPhySymbolsPerOctet) * 1000000) / kPhyBitRate, 
<br />
&#160;&#160;<a class="el" href="../../db/d1b/group__radio-types.html#gga4d29ca5db06e2ae647d1ec22548a9d2aa095a69d0c6de326b526121b98031b3af">kPhyNoLqi</a> = 0
<br />
 }</td></tr>
<tr class="separator:ga4d29ca5db06e2ae647d1ec22548a9d2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga64d6a0cf11075e2ab0079c9d86c34b55"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d1b/group__radio-types.html#ga64d6a0cf11075e2ab0079c9d86c34b55">otRadioCaps</a> { <br />
&#160;&#160;<a class="el" href="../../db/d1b/group__radio-types.html#gga64d6a0cf11075e2ab0079c9d86c34b55af71ef7e6e8404c56664ad79012c2ae4c">kRadioCapsNone</a> = 0, 
<br />
&#160;&#160;<a class="el" href="../../db/d1b/group__radio-types.html#gga64d6a0cf11075e2ab0079c9d86c34b55a7f68645873c299b0b509b591cece61d4">kRadioCapsAckTimeout</a> = 1, 
<br />
&#160;&#160;<a class="el" href="../../db/d1b/group__radio-types.html#gga64d6a0cf11075e2ab0079c9d86c34b55ab5a631b2f466b87b4cd38d785a6f0a83">kRadioCapsEnergyScan</a> = 2
<br />
 }<tr class="memdesc:ga64d6a0cf11075e2ab0079c9d86c34b55"><td class="mdescLeft">&#160;</td><td class="mdescRight">This enum represents radio capabilities.  <a href="../../db/d1b/group__radio-types.html#ga64d6a0cf11075e2ab0079c9d86c34b55">More...</a><br /></td></tr>
</td></tr>
<tr class="separator:ga64d6a0cf11075e2ab0079c9d86c34b55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae1ff73e01c49ff0cb218e4efd1b01fbc"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d1b/group__radio-types.html#gae1ff73e01c49ff0cb218e4efd1b01fbc">PhyState</a> { <br />
&#160;&#160;<b>kStateDisabled</b> = 0, 
<br />
&#160;&#160;<b>kStateSleep</b> = 1, 
<br />
&#160;&#160;<b>kStateReceive</b> = 2, 
<br />
&#160;&#160;<b>kStateTransmit</b> = 3
<br />
 }<tr class="memdesc:gae1ff73e01c49ff0cb218e4efd1b01fbc"><td class="mdescLeft">&#160;</td><td class="mdescRight">This structure represents the state of a radio.  <a href="../../db/d1b/group__radio-types.html#gae1ff73e01c49ff0cb218e4efd1b01fbc">More...</a><br /></td></tr>
</td></tr>
<tr class="separator:gae1ff73e01c49ff0cb218e4efd1b01fbc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>This module includes the platform abstraction for a radio packet. </p>
<h2 class="groupheader">Typedef Documentation</h2>
<a class="anchor" id="gae4fc9607be8fe78429890574e85da2e1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef enum <a class="el" href="../../db/d1b/group__radio-types.html#gae1ff73e01c49ff0cb218e4efd1b01fbc">PhyState</a>  <a class="el" href="../../db/d1b/group__radio-types.html#gae1ff73e01c49ff0cb218e4efd1b01fbc">PhyState</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This structure represents the state of a radio. </p>
<p>Initially, a radio is in the Disabled state. </p>

</div>
</div>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a class="anchor" id="ga4d29ca5db06e2ae647d1ec22548a9d2a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">anonymous enum</td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="gga4d29ca5db06e2ae647d1ec22548a9d2aa7814f5ab606236acae270c705e38304c"></a>kMaxPHYPacketSize&#160;</td><td class="fielddoc">
<p>aMaxPHYPacketSize (IEEE 802.15.4-2006) </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga4d29ca5db06e2ae647d1ec22548a9d2aaac68aa0095ba8fbe62f4399af20f356a"></a>kPhyMinChannel&#160;</td><td class="fielddoc">
<p>2.4 GHz IEEE 802.15.4-2006 </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga4d29ca5db06e2ae647d1ec22548a9d2aa689ec26cf2ac6ae2817bf368fe7df96f"></a>kPhyMaxChannel&#160;</td><td class="fielddoc">
<p>2.4 GHz IEEE 802.15.4-2006 </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga4d29ca5db06e2ae647d1ec22548a9d2aa5a1f12f32a9eae0d14e32a1862d9ac90"></a>kPhySupportedChannelMask&#160;</td><td class="fielddoc">
<p>2.4 GHz IEEE 802.15.4-2006 </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga4d29ca5db06e2ae647d1ec22548a9d2aae6f1637d0c6947bb3a2b034d31fc9051"></a>kPhySymbolsPerOctet&#160;</td><td class="fielddoc">
<p>2.4 GHz IEEE 802.15.4-2006 </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga4d29ca5db06e2ae647d1ec22548a9d2aafe33924e8801f0b816fb9be77240f2e1"></a>kPhyBitRate&#160;</td><td class="fielddoc">
<p>2.4 GHz IEEE 802.15.4 (kilobits per second) </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga4d29ca5db06e2ae647d1ec22548a9d2aa095a69d0c6de326b526121b98031b3af"></a>kPhyNoLqi&#160;</td><td class="fielddoc">
<p>LQI measurement not supported. </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="ga64d6a0cf11075e2ab0079c9d86c34b55"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../db/d1b/group__radio-types.html#ga64d6a0cf11075e2ab0079c9d86c34b55">otRadioCaps</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This enum represents radio capabilities. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="gga64d6a0cf11075e2ab0079c9d86c34b55af71ef7e6e8404c56664ad79012c2ae4c"></a>kRadioCapsNone&#160;</td><td class="fielddoc">
<p>None. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga64d6a0cf11075e2ab0079c9d86c34b55a7f68645873c299b0b509b591cece61d4"></a>kRadioCapsAckTimeout&#160;</td><td class="fielddoc">
<p>Radio supports AckTime event. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga64d6a0cf11075e2ab0079c9d86c34b55ab5a631b2f466b87b4cd38d785a6f0a83"></a>kRadioCapsEnergyScan&#160;</td><td class="fielddoc">
<p>Radio supports Enegery Scans. </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="gae1ff73e01c49ff0cb218e4efd1b01fbc"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../db/d1b/group__radio-types.html#gae1ff73e01c49ff0cb218e4efd1b01fbc">PhyState</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This structure represents the state of a radio. </p>
<p>Initially, a radio is in the Disabled state. </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:35 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
